"use strict";

/**
* @name piePointObject
* @publicName Point
* @type object
* @inherits basePointObject
*/
var piePointObject = {
    /**
    * @name piePointObjectFields.percent
    * @type string|number|date
    */
    percent: null,
    /**
    * @name piePointObjectMethods.isVisible
    * @publicName isVisible()
    * @return boolean
    */
    isVisible: function isVisible() {},
    /**
    * @name piePointObjectMethods.show
    * @publicName show()
    */
    show: function show() {},
    /**
    * @name piePointObjectMethods.hide
    * @publicName hide()
    */
    hide: function hide() {}
};

/**
* @name pieChartSeriesObject
* @publicName Series
* @type object
* @inherits baseSeriesObject
*/
var pieChartSeriesObject = {
    /**
    * @name pieChartSeriesObjectMethods.hover
    * @publicName hover()
    * @hidden
    */
    hover: function hover() {},
    /**
    * @name pieChartSeriesObjectMethods.clearHover
    * @publicName clearHover()
    * @hidden
    */
    clearHover: function clearHover() {},
    /**
    * @name pieChartSeriesObjectMethods.isHovered
    * @publicName isHovered()
    * @hidden
    */
    isHovered: function isHovered() {}
};